# DefaultInputHandler

Implements \InputHandler

Prompts using print(); reads input from Console.

author | Hans Lellelid hans@xmpl.org (Phing)
author | Stefan Bodewig stefan.bodewig@epost.de (Ant)
package | phing.input

### Methods

## Constructs user prompt from a request.

    getPrompt(\InputRequest $request) : string

This implementation adds (choice1,choice2,choice3,...) to the prompt for `MultipleChoiceInputRequest`s.

### Arguments

#### $request

`\InputRequest`

the request to construct the prompt for. Must not be `null`.

### Response

`string`

## Prompts and requests input.

    handleInput(\InputRequest $request) : void

May loop until a valid input has been entered.

throws |

### Arguments

#### $request

`\InputRequest`